## org.gnu.gtk
Class VScale

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Range
                          org.gnu.gtk.Scale
                              org.gnu.gtk.VScale

public class VScale
extends Scale

The VScale widget is a vertically slot containing a slider that can be moved by the mouse.

Constructor Summary
`VScale(Adjustment adjustment)` Creates a new VScale
`VScale(double min, double max, double step)` Creates a new vertical scale widget that lets the user input a number between min and max (including min and max) with the increment step.
`VScale(org.gnu.glib.Handle handle)` Construct a VScale using a handle to a native resource.

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`static VScale` `getVScale(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.

Methods inherited from class org.gnu.gtk.Scale
`getDrawValue, getEventListenerClass, getEventType, getLayout, getLayoutOffsetX, getLayoutOffsetY, removeFormatListener, setDigits, setDrawValue, setFormatListener, setValuePosition`

Methods inherited from class org.gnu.gtk.Range
`addListener, addRangeListener, getAdjustment, getInverted, getUpdatePolicy, getValue, removeRangeListener, setAdjustment, setIncrements, setInverted, setRange, setUpdatePolicy, setValue`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VScale

    public VScale(Adjustment adjustment)

  Creates a new VScale

Parameters:
  `adjustment` - The `Adjustment` which sets the range of the scale.

### VScale

    public VScale(double min,
                  double max,
                  double step)

  Creates a new vertical scale widget that lets the user input a number between min and max (including min and max) with the increment step. Step must be nonzero; it's the distance the slider moves when using the arrow keys to adjust the scale value.

Parameters:
  `min` - Minimum value
  `max` - Maximum value
  `step` - Step increment (tick size) used with keyboard shortcuts

### VScale

    public VScale(org.gnu.glib.Handle handle)

  Construct a VScale using a handle to a native resource.

Method Detail

### getVScale

    public static VScale getVScale(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.